require "Insurgent/Traits/LoadoutRiflemanTrait"

LoadoutRiflemanTrait.description  = getText("UI_trait_LoadoutRiflemanDesc_FIREARMSB41_VERSION")

function LoadoutRiflemanTrait.OnNewGame(player)
    if not player:HasTrait("LoadoutRifleman") then
        return
    end

    local weapon = InsurgentWeaponUtil.addWeapon(player, "Base.M16A2", {"Base.RedDot", "Base.Sling", "Base.RecoilPad", "Base.Laser"})
    InsurgentWeaponUtil.addMags(player, "Base.556Clip", 6)
    InsurgentWeaponUtil.equipAndFullyLoadWeapon(player, weapon, "Base.556Clip")
end
